Advanced Registry Doctor

Introduction

Advanced Registry Doctor (ARD) will cure your registry and thus provide a better performance of your Windows OS. Lots of programs, including MS Windows itself, have a bad habit to alter the registry in such a way, which causes appearance of different problems. Today you may install some new software on your PC and the next day it may happen that you’ll get annoying error message while your Windows loads. You ignore the problem, but eventually it puts its stamp on the whole OS. Some errors are noticeable while some other aren’t. Some are innocent, but still it’s possible you will find few, which will make you suffer.

Some programs write incorrect uninstall information to registry which in its turn can make correct software removal impossible. Incorrect references to font/help/dll and other important files frequently influence on the way that programs work giving you even more unpleasant problems to face. ARD finds problems of such kind and allows you to fix them either manually or automatically. Automatic repair of problems is very handy to use since it can be applied to set of problems and categories (category is a set of problems of a single kind). ARD can even find and repair invalid shortcuts, which reference to invalid file or hold invalid link to an icon.

ARD can bring some of the dead links back to life. For example, that is if you’ve accidentally moved your files (font files, help files, shared folders, shared DLLs, etc) to some other place. The main point of using ARD is that it will do the entire job for you; you just have to select which problems to search (categories) and HDD list, which will be used by the program for finding solutions. Usually you'll have to use ARD when new program is installed/removed.

Advanced Registry Doctor (ARD) will cure your registry and thus provide a better performance of your Windows OS

Advanced Registry Doctor Main Window

WWW: http://www.elcor.net/, http://antispy4you.com/
E-Mail: info@elcor.net


Advanced Registry Docotr

Main Features

OS: Lite Version: All Windows; Pro Version: All Windows
System Requirements: no special
 License: Shareware

  • Prevent Your Computer from Windows crashes
  • Make Your Computer Fast and stable in Minutes
  • Increase Your Computer Speed by up to 100%!
  • Find & Repair Problems in the Following Sections
    • Application Paths
    • Uninstall Information
    • COM/ActiveX (Registered version only)
    • Help Files
    • File Extensions
    • Font Files
    • Most Recently Used Files List
    • Shared DLLs (Registered version only)
    • Shared Folders
    • Startup Programs
    • Windows/MS-DOS Shortcuts
    • Virtual Device Drivers
  • Automatic Repair
  • Undo support
  • History logging
  • Saving of problems list
  • Startup Wizard
  • Registry Defragmentation (Professional version only)
  • Registry Backup/Restore (Professional version only)
  • System Backup (Professional version only)
  • Registry Defragmentation Scheduler (Professional version only)


Advanced Registry Doctor

Using Advanced Registry Doctor

Now let’s get directly to the point of using ARD. First thing that you do is press ‘Scan Now!’ button, which is easy to find if you look at the toolbar at the top of the window. Doing so will invoke the scanning wizard, which will allow you to tune scanning settings. The first step is to choose one of the following actions:

  • Perform all tests (recommended)
  • Let me choose which tests to run
  • View history

If you select the first ARD will start scanning all your local hard disks for all possible problems. However if you select the 2nd item you’ll be redirected to another window, where you’ll be able to tune some scanning settings like which drives to scan and which problems to search. When you’re done with adjusting the settings you must press Next button to start scanning process. Scanning process may take a while and depends directly on the size and number of HDDs (Hard Disk Drives), which you’ve selected. Once the process is finished the Next button will become enabled and pressing it will bring you to next window. That window will tell you how much problems were found and number of categories, which own those problems. Press Finish button and you should be back to the main program’s window. Now it should contain information describing detected problems. The top part of the window should contain list of categories, which own problems (+”All Categories” item which holds a list of all found problems). Marking a single category or multiple categories (hold Ctrl while adding categories to your selection) will make the bottom part of the window display their content – all problems belonging to current category. Now you should see something like this:

Advanced Registry Doctor (ARD) will cure your registry and thus provide a better performance of your Windows OS

At this step you can either mark few categories from the top list and press “Repair Categories” button or you can mark certain problems from the bottom list and press “Repair Problems”. In case you will want to repair more than 1 problem you’ll be asked whether you want to apply automatic repair mode for those problems. Automatic repair is really handy in use, since it allows you to do the job in a single mouse click.

Manual repair mode allows you to specify which action should be applied to the current problem. If ARD succeeds in finding solutions to the problem then you’ll see more than 2 ways to fix it. You can always delete certain registry key/value or file to eliminate the problem or just edit it manually. Another thing is when you see that ARD suggests you to substitute current registry key/value or shortcut setting with the one it has just found for you. Usually this is the best way to handle the problem and that is encountered in the algorithm of Automatic Repair. Automatic Repair solves each problem by either deleting corresponding registry entry/shortcut or by substituting invalid link with the 1st valid one that it has found for you (it may happen that ARD will give you more than 1 solution).

You can always undo current repair by clicking the corresponding button. But remember that you can undo only those problems, which were repaired at the current program’s launch. Each time you repair some problem the corresponding entry is added to the history log, which can be browsed directly from the program.


Advanced Registry Doctor

Application Paths

When new program is installed most likely information about its location will be added to this section of the registry. If the application's path is changed or if it is removed at all this entry becomes invalid. ARD checks the validity of such references by verifying that all paths exist. Otherwise the entry is considered to be invalid and is going to be removed unless ARD could find some alternative paths.

Uninstall Information

Uninstall information is required to provide correct removal of software from your PC. ARD checks the validity of references in this section, so that all of them point to existing paths. ARD ensures that all entries from this section point to valid paths, otherwise if no alternative could be found the reference is removed.

COM/ActiveX

Entries in this section contain information about different COM and ActiveX objects registered in the system. ARD checks that all of the registry keys point to existing files. If ARD can't find the file referenced by some registry key then the key is considered to be invalid.

Help Files

Some applications store information about location of their help files in this registry section. ARD verifies that all of those paths actually exist. If ARD can't find the referenced file it searches all specified local drives for its name.

File Extensions

This section of the registry contains information about all file extensions registered in the system. ARD verifies that registry keys in this section reference applications which correspond to existing file paths.

Font Files

Fonts section holds file paths of all registered fonts. ARD checks that all entries reference valid files on local drives. If it can't find some file then the reference is considered to be invalid and is removed.

Most Recently Used Files

This section contains references to files/folders which were recently used by the user. ARD checks those references for validity and if it finds some invalid link it will delete it from the list.

Shared DLLs

The section contains references to shared DLLs (Dynamic Link Libraries). DLLs hold functions which can be called by different applications, thus if it was removed then the link becomes invalid and there's no further need in its existence. ARD takes care of such references verifying that all DLLs referenced by the keys of this section exist, otherwise it clears the reference.

Shared Folders

This section contains references to shared folders on your computer. Those keys hold settings for the folders on your network. If some shared folder is deleted or removed then the reference becomes invalid, since it doesn't point to the real location of a folder any more. ARD recovers such broken references if it manages to find the folder with the same name on some of your local drives.

Startup Programs

Startup sections of the registry contain information about applications and services which are launched each time the system is started. ARD check the validity of the referenced programs to make sure all those paths exist.

Windows/MS-DOS Shortcuts

ARD also scans all shortcut files (*.lnk, *.pif) checking their validity. If it turns out to be that the shortcut references invalid file or it has invalid icon then ARD tries to find the original object/icon in order to repair the shortcut.

Virtual Device Drivers

This section contains information about virtual device drivers, which are used by your Windows OS. ARD will scan this section for the validity of specified paths. If it's found that the file doesn't exist the link is considered to be invalid and is either removed or substituted by the correct path if it exists.


Registry Defragmentation for Windows 95-XP

Using "Registry Defragmentation"

Launch Registry Toolkit and click on the < Start Registry Defragmentation > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

Note: To ensure proper operation of "Registry Defragmentation", you should be logged in as a system administrator either verify that you have equivalent permission to access the registry.

To defragment your registry, simply run "Registry Defragmentation", click "Go!", and when the process is completed click "Yes" to reboot the computer. You should do so immediately because any changes made to the registry after "Registry Defragmentation" has been run won't be saved.

Depending on your system configuration the optimization process may take some time.


Advanced Registry Doctor

Tutorial: Using Startup Wizard

This small and quick tutorial will guide you through the basic steps needed to learn how to modify the list of the applications which start when your Windows OS loads.

1. Launch Startup Wizard by clicking on the corresponding button from the top toolbar.

2. Items which are currently configured to be loaded at startup have their checkboxes in checked state. If the item has been tuned to not load at startup by some reason, then its checkbox is unchecked.

3. To turn on/off some items simply check/uncheck their checboxes correspondingly. To save the changes press Save button. In order for the changes to take effect you will need to restart your machine.

4. If you want to completely remove the item from the startup list select it and press Delete item(s) button. You can select multiple items at one time (hold Ctrl button to add/remove items from the selection).


Registry Defragmentation for Windows 95-XP

Tutorial: Using Registry Backup/Restore

This small and quick tutorial will guide you through the basic steps needed to learn how to backup/restore your registry.

1. Launch Registry Toolkit and click on the < Start Registry Backup > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. Choose "Registry Backup" from the drop-down list. Press OK.

3. Select folder where you want your backup files to be saved.

4. Check needed hives and press "Go!". Selected hives will be saved to disk.

5. Now when you want to restore registry simply start up Registry Backup again. Select the hives you want to be restored, specify your backup path (the folder you've chosen in step No. 3) and press "Go!". Restart the machine.


Registry Defragmentation for Windows 95-XP

Tutorial: Using System Backup

This small and quick tutorial will guide you through the basic steps needed to learn how to backup/restore your system.

1. Launch Registry Toolkit and click on the < Start System Backup > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. To backup your system simply press the Backup System button. You will be prompted to enter a description name for the restore point that is about to be created. So enter it and press OK. This will cause the system to create a new restore point.

3. To restore system settings select corresponding checkpoint in the list and press Restore System button. You will be prompted to close all running applications, because the system will need to reboot to successfully complete the restore process.

4. If you would like to enlarge amount of disk space for System Backup or change life time of your backups then press Configuration button. You will see a new window where you can change these and other settings. Changing of configuration settings is available for registered users only.


Registry Defragmentation for Windows 95-XP

Tutorial: Using Registry Defragmentation Scheduler

This small and quick tutorial will guide you through the basic steps needed to learn how to make scheduled launches of "Registry Defragmentation".

1. Launch Registry Toolkit and click on the < Start Registry Defragmentation Scheduler > link in the left bottom part of the window. To do this you should first click on the corresponding item in the right part of the window.

2. Go to menu Task->Add task. This will add a new task to the schedule.

3. On the Parameters bookmark set up how frequantly you want your registry to be defragmented.

4. Now locate Run bookmark. Here you must set command line switches which "Registry Defragmentation" will be started with. For example, you may want defragmentation process to be started automatically and no reboot promt being shown. To do this simply check 1st and 3rd items in the switches list.

5. Press Ok button. Since now the new task becomes active and will launch at the specified time.

6. When task is successfully executed its status will be changed to disabled.


Registry Defragmentation for Windows 95-XP

"Registry Defragmentation" command line switches

"Registry Defragmentation" supports command line switches with which you can perform a registry defragmentation, without user interaction. The syntax for the "Registry Defragmentation" command line is:

RegDefrag [/clear] [/close] [/ejectcd] [/high_priority] [/minimize] [/noreboot_promt] [/noreboot] [/shutdown] [/nowarning] [/start]
(Switches in brackets are optional.)

Description of the command line switches:

/clear
Remove temp files when done

/close
Close "Registry Defragmentation" after defragmentation

/ejectcd
Eject CD before the computer is rebooted

/high_priority
Set RegDefrag priority to high (this will slow down other active applications)

/minimize
Start RegDefrag in minimized mode

/noreboot
Doesn't reboot computer

/noreboot_promt
Reboot computer without a promt

/shutdown
Shutdown computer

/nowarning
Don't show warnings

/start
Automatically start defragmentation process when program is started


Advanced Registry Doctor

The Windows Registry

So what is Windows registry? To be short, it's a unified store of all system settings - a complex database. Registry possesses ierarchical structure as a tree. Registry holds information about hardware, software, user profiles and other vital data.

Registry was introduced in Windows 95 to remove discomfort with .ini files that Microsoft developers created in earlier Windows 3.1. So since Windows 95 life became better. And though appearance of the registry was undoubtedly a big step ahead, it brought some problems which need attention.

One of the problems is that ordinary users happen to edit some registry keys/values and some of those registry "tunings" may easily cause the system to become unbootable or even worser, cause you may get some weird bugs from time to time. Registry is a fragile thing and if you're not careful you can easily damage it.

Another problem is that registry can only grow in size. Advanced users and system administrators have to modify registry entries frequently. But all those changes made either by the user (manually) or by the program cause registry to grow and lose its linear structure. The loss of the linear structure in its turn slows down your system. To prevent such unwanted decelerations the registry must be constantly defragmented in order to keep up to its linear structure.

I've already mentioned that Windows registry is a hierarchical database, but let me say some words more. The root of registry hierarchy is called My Computer. The root in its turn possesses root keys which can be compared to subdirectories and they. These root keys may contain subkeys (which again can contain farther subkeys and values) and values. Each value has its name (any characters not those in ["\","*","?"]), type and data. These entities are called root handles, which is quite understandable. But they are also called hives, which is not reasonable, but you should remember what it is.


Advanced Registry Doctror

LICENSE AGREEMENT

READ THIS DOCUMENT CAREFULLY BEFORE INSTALLING THIS SOFTWARE. BY DOWNLOADING, INSTALLING AND USING THIS SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL OR USE THE SOFTWARE. YOU AGREE THAT YOUR INSTALLING OR USE OF THE SOFTWARE ACKNOWLEDGES THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT, AND AGREE TO BE BOUND BY ITS TERMS AND CONDITIONS.

This is a legal agreement between you (either an individual or an entity) and authors of Advanced registry Doctor – Alexander Berezovsky and Nick Nifontov.

LICENSE

1. Copyright

All copyrights to Advanced Registry Doctor belong ONLY to its authors - Alexander Berezovsky and Nick Nifontov. You are not allowed to remove the copyright notice from any copy of the software.

2. Limitations on Using, Copying, and Modifying the Software

Except to the extent expressly permitted by this agreement you must not use, copy or modify the software.

3. Decompiling, Disassembling, or Reverse Engineering

You are NOT permitted to study the source code of this software by ANY way and for ANY reason. You are NOT allowed to modify, decompile, disassemble or make reverse engineering of this software.

4. Software Licenses

Advanced Registry Doctor has two types of licenses: Personal and Site. The Personal License is a one-computer license for a single person. The Site License is a multi-user license that allows usage of the program in the registered mode by all members of the company (team, group, and etc), which owns it.

5. No Transfer of License

You must not transfer your license of the software except to the extent expressly permitted by this agreement ways. You are NOT permitted to generate registration keys, to sell, to transmit or to distribute them by ANY other way. Only authors of Advanced Registry Doctor - Alexander Berezovsky and Nick Nifontov have this right. You are NOT permitted to hand in employment or lease, to sell or transmit to other faces and also by ANY other way to distribute the registered copy of the software. Distribution of the unregistered shareware version is on the contrary welcomed.

6. Software Updates

In order to be able to upgrade from the previous version of Advanced Registry Doctor Lite/Pro to version 5.x the user has to contact author by email in order to receive the upgrade link. Then user can pay for the upgrade by following that link. Old registration keys will not work for this version.

7. DISCLAIMER OF WARRANTY

THE SOFTWARE IS PROVIDED AS-IS WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, AND FITNESS FOR A PARTICULAR PURPOSE. AUTHOR IS NOT OBLIGATED TO PROVIDE ANY UPDATES, UPGRADES OR TECHNICAL SUPPORT FOR THE SOFTWARE. IN NO EVENT AUTHOR WILL BE LIABLE FOR ANY INDIRECT, INCIDENTAL, SPECIAL OR CONSEQUENTIAL DAMAGES OR FOR ANY LOST PROFITS, LOST SAVINGS, LOST REVENUES OR LOST DATA ARISING FROM OR RELATING TO THE SOFTWARE OR THIS AGREEMENT, EVEN IF AUTHOR HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF AGREEMENT

Copyright © Elcor Software 2001 - 2005. All design, graphics, content and coding by Alexander Berezovsky and Nick Nifontov.

This product includes:

  • TBX package developed by the Alex A. Denisov

WWW: http://www.elcor.net
E-Mail: info@elcor.net


Advanced Registry Doctor

Frequently Asked Questions (Advanced Registry Doctor)

Registration and licensing related questions:

How to register?
You may register your copy of Advanced Registry Doctor here: http://www.elcor.net/buy.php .

I lost my registration key. What am I to do?
 Send us an email explaining that you have lost your registration key and add to it any proof that you are really registered user. We will send you a new one as soon as possible.

Usage related questions:

What is the difference between Light and Pro versions of ARD?
Pro version includes Registry Toolkit, which possesses the main idea of our another product Registry Defragmentation. Thus users of Pro version will be able to defragment/restore&backup their registry.
Warning: You must have Windows 9X/ME/NT/2000/XP/2003 in order to use all features of ARD Pro version.

What are the limitations of the unregistered version of ARD?

  • Trial period, which equals to 21 days
  • COM/ActiveX & Shared DLLs sections won’t be scanned
  • Automatic repair can be applied only to 5 (at max.) problems at a time

Which solution should I use to repair the problem when there’re more than one suggested ways to do it?
Look attentively through the variants that are listed in the window. If you’re going to fix the link to some executable file (for example: .exe or .dll file) then you’ll be presented with the following information:

  • Last time when file was modified
  • File version (if available)
Basing on that information and the location of the file it must be easy to decide which variant should be applied to fix the problem.

How can I repair many problems at a time?
If you want to repair certain problems from the selected category then you have to mark this category in the top list and select problems which you want to repair in the bottom list. Press Repair Problems button and confirm that you want to apply automatic repair mode. Pressing Repair Categories button provides repair of the entire category. Don't forget that you are able to select multiple categories at a time.

When should I use Advanced Registry Doctor?
When you install/remove software you should know that it alters the registry by adding/removing certain information. However such changes cause your Windows registry to grow in size, which immediately leads to decrease of application response time and consequently slows down your system. At the same time the number of invalid links grow, which is of no good to your system. That is why we recommend you to perform registry defragmentation:

  • Every 30 days.
  • When new software is installed.
  • When existing software is uninstalled.

General questions:

What are the minimum requirements for Advanced Registry Doctor?
ARD needs at least 3 Mb of free space, 8 Mb RAM.

How do I uninstall Advanced Registry Doctor?
To uninstall ARD please go Start -> Programs -> Advanced Registry Doctor -> Uninstall Advanced Registry Doctor.

I found a bug in Advanced Registry Doctor. What should I do?
If you encounter problems, please visit http://www.elcor.net and download the latest version to see if the issue has been resolved. If not, please send a bug report to: support@elcor.net

Questions about compatibility with other programs:

Does ARD run on all Windows versions?
Yes, ARD is designed for Windows 9X/ME/NT/2K/2K3/XP!

I use other registry defragmentators/optimizers/tweakers. Is Advanced Registry Doctor compatible with them?
YES!


Registry Defragmentation for Windows 95-XP

Frequently Asked Questions (Registry Defragmentation)

Usage related questions:

When to Use "Registry Defragmentation"?
When you install/remove software you should know that it alters the registry by adding/removing certain information. However such changes cause your Windows registry to grow in size, which immediately leads to decrease of application response time and consequently slows down your system. That is why we recommend you to perform registry defragmentation:

  • Every 30 days.
  • When new software is installed.
  • When existing software is uninstalled.

How much space I will gain?
This is hard to predict. Sometimes you may get decrease in size only in range 1%-5% of total registry size. But you need to remember that what you we will get is a linear registry without any fragmentation.

Why should I use "Registry Defragmentation" but not any other tool?
All registry defragmentors that i used to see (Norton Disk Doctor, DiskKeeper, PageDefrag and other) defragment only physical location of the registry file. They do not delete unused entries, compacting the registry and re-indexing registry for maximum speed. Our "Registry Defragmentation" does these things and even more. It optimizes logical structure of the registry. Thus our program improves access time and provides your system with more stability.

How do I uninstall "Registry Defragmentation"?
To uninstall "Registry Defragmentation" please go Start -> Programs -> "Registry Defragmentation" -> Uninstall "Registry Defragmentation"

I use other registry defragmentators/optimizers/tweakers. Is "Registry Defragmentation" compatible with them?
YES!

What is "System Backup"?
"System Backup" is our wrapper for managing SystemRestore APIs. Most of WinXP/ME users are familiar with SystemRestore feature and frequently use it. We have written "System Backup", because we think it's a nice add-on to the existing set of tools that "Registry Defragmentation" has. SystemRestore APIs are implemented in Windows Me or XP/Longhorn, that is why this tool will function under this OS only.

What is "RegManServ.exe"?
"RegManServ.exe" stands for Registry Management Service which has to be launched on your machine to provide correct functioning of the program. It is used to gain LocalSystem privileges and avois appearance of such error messages as "Access denied". "Registry Defragmentation" can work correctly on some systems even without this service running, but we still provide it for compatibility purposes.

General questions:

What are the minimum requirements for "Registry Defragmentation"?
"Registry Defragmentation" needs at least 2 Mb of free space, 4 Mb RAM.

I found a bug in "Registry Defragmentation". What should I do?
If you encounter problems, please visit http://www.elcor.net and download the latest version to see if the issue has been resolved. If not, please send a bug report to: support@elcor.net

Questions about compatibility with other programs:

Is there a version available for Linux/Mac?
No!


Advanced Registry Doctor

History (Advanced Registry Doctor)

changes in v5.0 Build 04.01

- General change
[Added]
+ added German, Polish languages
+ added compatible with Windows Server 2003 and latest Windows XP packs and updates
+ added compatible with MS Office 2003

[Updated]
+/- updated Unicode support
+/- updated System Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation to 7.0 Build 04.01
+/- updated Registry Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation Scheduler to 7.0 Build 04.01
+/- updated Registry Management Service
+/- updated Registry Toolkit

[Fixed]
- fixed the problems with repaint a "Repair Wizard"
- fixed the problems with free space on forms
- fixed the problems with Icon parse algoritm
- fixed the problems with Unicode value names

- Setup wizard
[Added]
+ added German, Polish languages

[Updated]
+/- fixed minor bugs

changes in v5.0 Build 03.21

- General change
[Added]
+ added support of 800x600 Screen Size

[Updated]
+/- new registration file format
+/- updated Registry Scanning Engine (RSE), improved speed, fixed bugs
+/- updated API FindInvalidShortcuts (new algoritm)
+/- updated System Backup to 6.6 Build 03.13
+/- updated Registry Toolkit to 6.6 Build 03.13
+/- updated Registry Defragmentation to 6.6 Build 03.13
+/- updated Registry Backup to 6.6 Build 03.13
+/- updated Registry Defragmentation Scheduler to 6.6 Build 03.13
+/- updated RdvChk Component
+/- updated translations
+/- changed limitations in Trial Mode

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in System Backup
- fixed memory leaks
- fixed bugs in API ScanSharedFolders
- fixed bugs in API FindInvalidShortcuts
- fixed bugs in API RepairAll
- fixed bugs im API ShowReport
- fixed bugs in "Scan Now!" Wizard
- fixed bugs on Windows XP SP2

- Setup wizard
[Updated] +/- Fixed minor bugs

changes in v5.0 Build 03.05

- General change
[Added]
+ added Multi-Language engine
+ added Russian support
+ added a new descriptions parameter for problems category - "Danger Level"
+ added a Short Key Registration System
+ added a background support (like "Skin") (JPEG, external file)
+ added "Paste S/N" button in "Enter Serial" Wizard
+ Now menu icons and all logos has 32 bit (PNG)

[Updated]
+/- updated Registry Scanning Engine (RSE), improved speed
+/- updated System Backup to 6.6 Build 02.28
+/- updated Registry Toolkit to 6.6 Build 02.28
+/- updated Registry Defragmentation to 6.6 Build 02.28
+/- updated Registry Backup to 6.6 Build 02.28
+/- updated Registry Defragmentation Scheduler to 6.6 Build 02.28
+/- updated RdvChk Component
+/- updated Registry Defragmentation Help (English and German)
+/- updated Registry Defragmentation Language Files (German, Russian, Ukraine)
+/- updated Menu icons and logos
+/- updated GUI

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in Registry Toolkit
- fixed small bugs in Registry Defragmentation
- fixed small bugs in Registry Defragmentation Scheduler
- Fixed bugs in Trial Algoritm
- Fixed bugs in RdvChk Component
- Fixed bugs in Finding Solutions Engine (FSE)
- Fixed bugs in Repair Wizard
- Fixed the problem with Word Wrap
- Fixed bugs in "Scan Now!" Wizard
- Fixed bugs in Startup Wizard
- Fixed bugs connected with "Invalid data type ..."
- Fixed bugs in Registry Scanning Engine (RSE)
- Fixed bugs with "Export Result Function"
- Fixed the problems with registration keys file
- Fixed small bug in "Enter Serial" Wizard
- Fixed the problem on Windows XP SP2
- Fixed the problem on Korean Windows 2003 Server
- Fixed the problem with HyperThreading systems
- Fixed wrong debugger detection on Windows 98
- Fixed "ARD Bug Report" address searching
- Fixed the error 86
- Fixed the error 82
- Fixed error 156
- Fixed the error 31
- Fixed the error 251
- Fixed minor bugs
- License change
[Updated]
+/- New License Agreement
+/- New algorithm for build numeration system (by date)
+/- New registration scheme
- Setup wizard
[Updated]
+/- Updated graphics, scripts
+/- Fixed minor bugs
changes in v4.1

- General change
o updated Startup Wizard (added StartUp List Base on ~6500 objects)
o updated System Backup to 5.0g
o updated Registry Toolkit to 5.0g
o updated Registry Defragmentation to 5.0g
o updated Registry Backup to 5.0g
o updated Registry Defragmentation Scheduler to 5.0g
o updated GUI
o fixed minor bugs
- Setup wizard
o Fixed minor bugs
changes in v4.0

- General change
o added Startup Wizard (allows you to view list of applications which are launched at Windows startup)
o added Export function
o updated RegScan Module
o updated History Module
o Updated Repair Module
o updated GUI
o fixed 'Serial Number' bug
o fixed minor bugs
- License change
o New License Agreement
o New registration scheme
- Setup wizard
o Fixed minor bugs
changes in v3.1

- General change
o added Undo button to History
o updated System Backup to 5.0e
o updated Registry Toolkit to 5.0e
o updated Registry Defragmentation to 5.0e
o updated Registry Backup to 5.0e
o updated Registry Defragmentation Scheduler to 5.0e
o updated GUI
o fixed EOutOfResources bug
o fixed minor bugs
changes in v3.0

- General change
o Added Windows 9X/ME support
o added Virtual Device Drivers section for scanning
o fixed other bugs in filepath replace procedure
o fixed bugs in filename parsing algorithm
o added System Backup
o updated Registry Toolkit to 5.0d
o updated Registry Defragmentation to 5.0d
o updated Registry Backup to 5.0d
o updated Registry Defragmentation Scheduler to 5.0d
o Fixed minor bugs
- License change
o New License Agreement
o New registration scheme
- Setup wizard
o Added LZMA compression
o Fixed minor bugs
changes in v2.2

- fixed bugs in scanning of Uninstall and File Extensions sections
changes in v2.1

- updated documentation
- fixed minor bugs
- updated "Registry Toolkit"
- updated "Registry Backup"
- updated "Registry Defragmentation Scheduler"
- updated "Registry Defragmentation"
changes in v2.0

- updated interface of ARD
- fixed minor bugs
changes in v1.1

- fixed some bugs
- updated "Advanced Registry Doctor"
- updated "Registry Toolkit"
- updated "Registry Backup"
- updated "Registry Defragmentation Scheduler"
- updated "Registry Defragmentation"
changes in v1.0

- first program release


Registry Defragmentation for Windows 95-XP

History

changes in v7.0 Build 04.01

- General change
[Added]
+ added Polish, French languages
+ added Save Position feature
+ added compatible with Windows Server 2003 and latest Windows XP packs and updates

[Updated]
+/- updated Unicode support
+/- updated System Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation to 7.0 Build 04.01
+/- updated Registry Backup to 7.0 Build 04.01
+/- updated Registry Defragmentation Scheduler to 7.0 Build 04.01
+/- updated Registry Management Service
+/- updated Registry Toolkit

[Fixed]
- fixed the problems with Repaint on Windows XP and Windows Server 2003
- optimized error handling
- fixed problems with dynamic disks
- fixed a problem where the registry hives could not be optimized on some systems
- fixed bugs in Registry Toolkit
- fixed minor bugs

- Setup wizard
[Added]
+ added Polish, French languages

[Updated]
+/- updated Ukrainian, Russian languages
+/- fixed minor bugs

changes in v6.6 Build 03.13

- General change
[Updated]
+/- new registration file format

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in System Backup
- fixed minor bugs

- Setup wizard
[Updated]
+/- Fixed minor bugs
changes in v6.6 Build 02.28

- General change
[Added]
+ added "Paste S/N" button in "Enter Serial" Wizard

[Updated]
+/- updated System Backup to 6.6 Build 02.28
+/- updated Registry Defragmentation to 6.6 Build 02.28
+/- updated Registry Backup to 6.6 Build 02.28
+/- updated Registry Defragmentation Scheduler to 6.6 Build 02.28
+/- updated English and German Help
+/- updated German, Russian, Ukraine support

[Fixed]
- fixed bugs in Registry Management Service
- fixed bugs in Registry Toolkit
- fixed small bugs in Registry Defragmentation
- fixed small bugs in Registry Defragmentation Scheduler
- fixed bugs in RdvChk Component
- fixed bugs in Trial Algoritm
- fixed the problems with registration keys file
- fixed small bug in "Enter Serial" Wizard
- fixed the error 31
- fixed the error 251
- fixed minor bugs
- License change
[Updated]
+/- New License Agreement
+/- New algorithm for build numeration system (by date)
- Setup wizard
[Updated]
+/- updated graphics, scripts
+/- Fixed minor bugs
changes in v6.5

- General change
o updated German Help
o updated German support
o Fixed minor bugs
- Setup wizard
o Updated/Fixed/Added German, Russian, Ukrainian
o Updated graphics, scripts
o NSIS 2.04
o Fixed minor bugs
changes in v6.3

- General change
o added German Help
o updated Ukrainian support
o Fixed minor bugs
- Setup wizard
o NSIS 2.03
o Fixed minor bugs
changes in v6.2

- General change
o added Arabic support
o updated Ukrainian support
o Fixed the problem with Import Processing on HyperThreading systems
o Fixed the error 86
o Fixed the error 82
o Fixed wrong API function results: SaveKey
o Fixed the problem with a code section position
o Fixed empty registration keys file creation ("aspr_keys.ini")
o Fixed JCL RaiseException address searching
o Fixed UserPolyBuffers CASE statement processing
o update "Registry Backup"
o Fixed minor bugs
changes in v6.1c

- General change
o added Italian support
o added Ukrainian support
o update "Registry Defragmentation Scheduler"
o update "Language Manager"
o update "Registry Defragmentation"
o update "Registry Backup"
o Fixed minor bugs
changes in v6.1b

- General change
o added German support
o update "Registry Defragmentation Scheduler"
o Fixed minor bugs
changes in v6.0

- General change
o Multi-Language engine
o Short Key Registration System
o Fixed error 156
o Fixed wrong debugger detection on Windows 98
o Fixed the problem with a result of GetLastError WinAPI
o Fixed the problem on Windows XP SP2 (AMD64)
o Fixed the problem on Korean Windows 2003 Server
o Fixed minor bugs
- License change
o New License Agreement
- Setup wizard
o NSIS 2.02
o Fixed minor bugs
changes in v5.0

- General change
o Added Windows 9X/ME support
o Fixed minor bugs
- License change
o New License Agreement
- Setup wizard
o Fixed minor bugs
changes in v4.0

- License change
o New License Agreement
o New registration scheme
- Setup wizard
o Added LZMA compression
o Fixed minor bugs
- Registry Defragmentation
o Added itegration with Registry Management Service
o New GUI style
o Fixed minor bugs
- Registry Backup (Now it's named "System Backup")
o New backup/restore engine based on SystemRestore APIs
o New GUI style
o Fixed minor bugs
- Registry Defragmentation Scheduler
o Added popup menu for manipulating with tasks
o Added itegration with Registry Management Service
o Updated GUI
o Fixed minor bugs
- Registry Toolkit
o Updated GUI
o Fixed minor bugs
changes in v3.2

- Fixed some bugs
changes in v3.1

- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated "Registry Defragmentation"
changes in v3.0

- Fixed some Critical bugs
- Added "Registry Management Service"
- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated "Registry Defragmentation"
- Updated Documentation
changes in v2.1

- Added new command line switches
- Updated "Registry Toolkit"
- Updated "Registry Backup"
- Updated "Registry Defragmentation Scheduler"
- Updated Documentation
- Fixed bugs
changes in v2.0

- Added "Registry Toolkit"
- Added "Registry Backup"
- Added new command line switches
- Updated Documentation
- Fixed bugs
changes in v1.1

- Added "Registry Defragmentation Scheduler"
- New Setup wizard (very small)
- Added new command line switches
- Updated Documentation
- Fixed bugs
changes in v1.0

- First program release


Registry Defragmentation for Windows 95-XP

Press Release

March , 2005

For Immediate Release

Elcor Software Releases Advanced Registry Doctor Pro 5.0

Healthy registry for Windows 9x/Me/NT/2000/XP/2003 computers.

The registry is one of the most essential components of Windows OS, critical to proper functioning of any PC computer. Unfortunately, as more and more programs gets installed and then removed, the registry becomes more like a digital dump, full of incorrect shortcuts, invalid extensions, and missing entries, which dramatically hinders computer performance.

Advanced Registry Doctor Pro is capable of scanning for, diagnosing and curing multiple registry problems, which averts possible malfunctions and crashes, and significantly improves the speed of computer loading and performance. In addition, the program comes with a set of advanced options, like registry defragmenting, built-in scheduler, backup and restore feature, history log and many other perks - a registry toolkit, for example.

This version of software looks through the following data for possible “registry spoilers”: application paths, uninstall information, COM/ActiveX objects, help files, file extensions, font files, most recently used files list, shared DLLs and folders, startup applications, Windows/MS-DOS Shortcuts. The automatic cure options means that any person, regardless of his or her PC literacy level can solve registry problems by simply pressing a button. Advanced users can opt to make registry changes manually.

Advanced Registry Doctor Pro 5.0 is distributed electronically over the Internet; free demo version is available at http://www.elcor.net/ for evaluation. There also is a lightened version of the program, which lacks defragmentation features.

The price of a single copy is 24.95 US Dollars for Advanced Registry Doctor Pro and 19.95 USD for Advanced Registry Doctor Lite.

Elcor Software is a small independent software developing company known for its Windows improvement products. Over the past two years, the company has released Advanced Registry Doctor Pro and Lite, TweakRAM, and Business Card Studio.

If you have any questions, would like to request editor’s copy, want to inquire about special prices for volume buyers/software resellers, or have a business proposal, please contact Nick Nifontov at nifontov@elcor.net

System Requirements:

  • 2 Mb HDD, 2 Mb RAM

Company Website - http://www.elcor.net/

Product Page - http://www.elcor.net/ard.php

Screenshots - http://www.elcor.net/data/ardpro.png

Download - http://www.elcor.net/download.php

Buy Link - http://www.elcor.net/buy.php


Registry Defragmentation for Windows 95-XP

März , 2005

Zur sofortigen Veröffentlichung

Elcor Software bringt Advanced Registry Doctor Pro 5.0 auf den Markt

Gesundes Register für Windows 9x/Me/NT/2000/XP/2003

Das Register ist eine der wichtigsten Komponenten des Windows-Betriebsystems und ist für das ordnungsgemässe Funktionieren eines Computers entscheidend. Aber während immer mehr Programme installiert und dann entfernt werden, wird leider das Register zur digitalen Müllhalde, voll inkorrekter Shortcuts, falscher Datenerweiterungen und fehlender Einträge, was die Leistungsfähigkeit des Computers merklich beeinträchtigt.

Advanced Registry Doctor Pro ist fähig, verschiedene Registerprobleme zu finden, zu diagnostizieren und zu beseitigen, wodurch es möglich wird, mögliche Störungen und Abstürze abzuwenden, die Geschwindigkeit beim Hochfahren zu steigern und die Performance insgesamt zu verbessern. Zusätzlich enthält das Programm eineganze Reihe erweiterter Funktionen. So bietet es die Möglichkeit der Defragmentierung des Registers, unterstützt die Erstellung von Sicherheitskopien und das Wiederherstellen der Register, verfügt über einen eingebauten Planer, ein Verlaufsprotokoll, ein Registertoolkit u.v.a.

Diese Programmversion durchsucht folgende Dateien nach möglichen „Register-Störenfrieden“: Programmpfade, Information über die Deinstallation von Programmen, COM/ActiveX-Objekte, Hilfsdateien, Dateierweiterungen, Schriftdateien, Listen der zuletzt benutzten Dateien, gemeinsame DLLs und Ordner, Startup-Programme, Windows/MS-DOS-Shortcuts. Die Möglichkeit der automatischen Reparatur ermöglicht es jedem beliebigen Nutzer unabhängig von seinen Computerkenntnissen Registerprobleme mit einem Tastendruck zu lösen. Fortgeschrittene Nutzer können nach Wunsch Registeränderungen manuell durchführen.

Advanced Registry Doctor Pro 5.0 wird elektronisch über das Internet vertrieben; eine kostenlose Demoversion ist unter http://www.elcor.net/ zu Testzwecken erhältlich. Eine vereinfachte Programmversion enthält keine Option zur Defragmentierung.

Die Einzelkopie von Advanced Registry Doctor Pro kostet 24,95 USD und von Advanced Registry Doctor Lite 19,95 USD.

Elcor Software ist ein kleines unabhängiges Unternehmen für Programmentwicklung, das für seine Windows-verfeinernden Produkte bekannt ist. Während der letzten beiden Jahre brachte die Firma folgende Programme heraus: Advanced Registry Doctor Pro und Lite, TweakRAM und Business Card Studio.

Wegen weiterer Fragen, einer Herstellerkopie, Sonderkonditionen für Grossabnehmer und Softwarehändler oder mit geschäftlichen Angeboten wenden Sie sich bitte an Nick Nifontov unter nifontov@elcor.net .

Systemvoraussetzungen:

  • 4 Mb HDD, 8 Mb RAM

Unternehmensseite - http://www.elcor.net/

Produktseite - http://www.elcor.net/ard.php

Screenshots - http://www.elcor.net/data/ardpro.png

Download - http://www.elcor.net/download.php

Erwerb- http://www.elcor.net/buy.php


Registry Defragmentation for Windows 95-XP

Press Release (Russian Version)

Март , 2005

Для Ближайшего Выпуска

Elcor Software Выпускает Advanced Registry Doctor Pro 5.0

Здоровый реестр для Windows 9x/Me/NT/2000/XP/2003.

Реестр - это одна из наиболее важных составляющих ОС Windows, которая оказывает решающее влияние на работу компьютера. К несчастью, по мере инсталляции и удаления всё большего количества программ, реестр всё сильнее становится похожим на цифровую кучу мусора переполненную испорченными ярлыками, неправильными файловыми расширениями, недостающими записями, что заметно тормозит работу компьютера.

Advanced Registry Doctor Pro умеет сканировать, диагностировать и лечить многие проблемы реестра, что позволяет предотвратить возможные сбои и существенно ускоряет время загрузки Вашего компьютера. Кроме этого, программа снабжена набором продвинутых опций, таких как деврагментатор реестра, встроенный планировщик, возможность сохранять и восстанавливать реестр и др.

Пограмма просматривает следующие секции для того чтобы найти вероятных "вредителей реестра": пути программ, информация об удалении программ, COM/ActiveX объекты, файлы помощи, файловые расширения, файлы шрифтов, список наиболее недавно использованных файлов, динамические библиотеки и папки общего доступа, программы автоматически стартующи вместе с Windows, Windows/MS-DOS ярлыки. Опция автоматического исправления указывает на то, что любой человек несмотря на уровень своей компьютерной образованности может решать проблемы реестра простым нажатием кнопки. Продвинутые пользователи могут сами исправлять найденные ошибки.

Advanced Registry Doctor Pro 5.0 распространяется через интернет; бесплатную демо версию программы можно найти здесь: http://www.elcor.net/. Также есть облегченная версия программы, которая не содержит утилит для дефрагментации реестра.

Цена одной копии программы 24.95 USD - Pro версия и 19.95 USD - Lite версия.

Elcor Software – небольшая независимая компания, которая известна своими продуктами в области совершенствования работы ОС Windows. За последние два года компания выпустила такие программы: Advanced Registry Doctor Pro и Lite, TweakRAM, и Business Card Studio.

Если у Вас есть какие-либо вопросы, Вы хотите получить персональную редакторскую копию продукта, хотите узнать на счет специальных цен для оптовых покупателей/реселлеров программ, или у Вас есть бизнесс предложение, пожалуйста, свяжитесь с Николаем Нифонтовым по этому адресу: nifontov@elcor.net

Системные Требования:

  • 3 Мб дискового пространства, 4 Мб RAM

Вебсайт Компании - http://www.elcor.net/

Домашняя страница продукта - http://www.elcor.net/ard.php

Скриншот - http://www.elcor.net/data/ardpro.png

Скачать - http://www.elcor.net/download.php

купить - http://www.elcor.net/buy.php


Advanced Registry Doctor

Press Release

February , 2005

For Immediate Release

Elcor Software Releases Registry Defragmentation 6.6

Improve computer performance with Registry Defragmentation for Windows 9x, Me, NT, 2K, XP, 2003, and Longhorn.

Registry Defragmentation is a small utility that does gigantic improvements in computer performance. Registry is the core of any operating system and it is the proper functioning registry that determines how fast the computer boots up, launches applications and carries out commands.

This application physically defragments the Windows registry file to give it the proper linear structure. After a single run of Registry Defragmentation, the computer speed increases up to 100% and the computer itself stops freezing and crashing. As a result of regular registry defragmentation, computer users get a more stable operating system, shorter application/system response time, and the most optimal linear registry structure.

Registry Defragmentation is an absolutely essential tool for all folks who install/uninstall new software applications frequently. It often happens that uninstalling an application does not completely remove all program components. These components start hindering the computer performance, consuming system resources that should be allocated otherwise. As more and more applications get installed and uninstalled, the problem keeps growing, making computer performance unpredictable. This and many other registry-related problems can be easily fixed by Registry Defragmentation. The program is very easy to use and very moderately priced, making it affordable for any group of computer users.

Registry Defragmentation 6.6 is distributed electronically over the Internet; free demo version is available at http://antispy4you.com/ for evaluation.

The price of a single copy is 11.95 US Dollars.

Elcor Software is a small independent software developing company known for its Windows improvement products. Over the past two years, the company has released Advanced Registry Doctor Pro and Lite, TweakRAM, and Business Card Studio.

If you have any questions, would like to request editor’s copy, want to inquire about special prices for volume buyers/software resellers, or have a business proposal, please contact Nick Nifontov at nifontov@elcor.net

System Requirements:

  • 2 Mb HDD, 2 Mb RAM

Company Website - http://antispy4you.com/

Product Page - http://antispy4you.com/rdefrag.php

Screenshots - http://antispy4you.com/data/rdfrg.jpg

Download - http://antispy4you.com/download.php

Buy Link - http://antispy4you.com/buy.php


Registry Defragmentation for Windows 95-XP

Press Release (Russian Version)

Ferbrary , 2005

Для Ближайшего Выпуска

Elcor Software Выпускает Registry Defragmentation 6.6

Повысьте производительность своего компьютера с помощью программы Registry Defragmentation для Windows 9x, Me, NT, 2K, XP, 2003, и Longhorn.

Registry Defragmentation – это маленькая утилита, которая обеспечивает большой прирост производительности Вашему компьютеру. Реестр – это сердце любой операционной системы и именно от него в большой степени зависит то, как быстро загружается Ваш компьютер и стартуют программы, а также скорость обработки комманд.

Эта программа выполняет физическую дефрагментацию реестра Windows для придания ему линейной структуры. После одиночного запуска Registry Defragmentation скорость компьютера увеличивается вдвое и сам компьютер перестает зависать и давать сбои. В результате регулярного дефрагментирования реестра пользователи компьютера получают более стабильную операционную систему, меньшее время отклика приложений и, конечно же, наиболее оптимальную линейную структуру своего реестра.

Registry Defragmentation будет очень полезен тем, кто часто устанавливает/удаляет новые программы. Часто случается так, что деинсталляция программы не приводит в полному удалянию все ее компонентов. Такие компоненты начинают мешать нормальной работе системы, потребляя системные ресурсы, которые должны использоваться иначе. Со временем проблема только растет так как все большее количество программ устанавливаются/удаляются. Это приводит к тому, что начиная с определенного момента работа Вашего компьютера становится непредсказуемой. Эта и другие проблемы, связанные с реестром, могут быть легко исправлены с помощью Registry Defragmentation. Программа легка и удобна в использовании, а также имеет весьма умеренную цену, что делает ее доступной всем группам компьютерных пользователей.

Registry Defragmentation 6.6 распространяется через интерет; бесплатную демо версию программы можно найти здесь: http://www.elcor.net/ .

Цена одной копии программы 11.95 USD.

Elcor Software – небольшая независимая компания, которая известна своими продуктами в области совершенствования работы ОС Windows. За последние два года компания выпустила такие программы: Advanced Registry Doctor Pro и Lite, TweakRAM, и Business Card Studio.

Если у Вас есть какие-либо вопросы, Вы хотите получить персональную редакторскую копию продукта, хотите узнать на счет специальных цен для оптовых покупателей/реселлеров программ, или у Вас есть бизнесс предложение, пожалуйста, свяжитесь с Николаем Нифонтовым по этому адресу: nifontov@elcor.net

Системные Требования:

  • 2 Мб дискового пространства, 2 Мб RAM

Вебсайт Компании - http://www.elcor.net/

Домашняя страница продукта - http://www.elcor.net/rdefrag.php

Скриншот - http://www.elcor.net/data/rdfrg.jpg

Скачать - http://www.elcor.net/download.php

Купить - http://www.elcor.net/buy.php


Advanced Registry Doctor

For Developers

Full source code of "Registry Defragmentation/Advanced Registry Doctor" is available for sale with a very reasonable price! All these source codes can be sold for non-commercial and commercial purposes. Please contact us for more information about purchasing source codes at sales@elcor.net .


Advanced Registry Doctor

Ordering Advanced Registry Doctor

You may evaluate Advanced Registry Doctor for free for a maximum period of 21 days. If you wish to continue using it after 21 days, you have to register. There are two types of licenses available to register the program:
 | Personal License | Site License
Light Version | $19.95 | $55.95
Pro Version | $24.95 | $65.95

The Personal License is a one-computer license for a single person. The Site License is a multi-user license that allows usage of the program in the registered mode by all members of the company (team, group, and etc), which owns it.

To register Advanced Registry Doctor, please, go to http://www.elcor.net/buy.php . On this page you must enter your payment details such as credit card number and so on. As soon as your order became approved you will receive via e-mail your registration key file with instructions how to use it.

Registration will give you:

  • Unlocking registration key for ordered software
  • Remove any shareware reminders and limitations
  • Priority customers support
  • And other benefits


Advanced Registry Doctor

Technical Support

Feel free to send us any comments, suggestions, wishes, bug reports etc. We really want to hear you! You can contact our support team using the following e-mail:

support@elcor.net

Note: before requesting technical support, please ensure that you are using the latest version of Advanced Registry Doctor available from

http://www.elcor.net/, http://antispy4you.com/


Advanced Registry Doctor

Reporting Problems

If you encounter problems, please visit http://www.elcor.net/, http://antispy4you.com/ and download the latest version to see if the issue has been resolved.

If not, please send a bug report to: support@elcor.net


Advanced Registry Doctor

Upgrade Advanced Registry Doctor

In order to be able to upgrade from the previous version of Advanced Registry Doctor Lite/Pro to version 5.x the user has to contact author by email in order to receive the upgrade link. Then user can pay for the upgrade by following that link. Old registration keys will not work for this version.